Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.som.training.basic.neighborhood
Class NeighborhoodSingle

    java.lang.Object
      org.encog.neural.som.training.basic.neighborhood.NeighborhoodSingle

All Implemented Interfaces:
  NeighborhoodFunction

    public class NeighborhoodSingle

extends Object
implements NeighborhoodFunction

A very simple neighborhood function that will return 1.0 (full effect) for the winning neuron, and 0.0 (no change) for everything else.

Author:
  jheaton

Constructor Summary
`NeighborhoodSingle()`

Method Summary
`double` | `function(int currentNeuron, int bestNeuron)` Determine how much the current neuron should be affected by training based on its proximity to the winning neuron.
`double` | `getRadius()` The radius for this neighborhood function is always 1.
`void` | `setRadius(double radius)` Set the radius.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NeighborhoodSingle

    public NeighborhoodSingle()

Method Detail

### function

    public double function(int currentNeuron,
                           int bestNeuron)

  Determine how much the current neuron should be affected by training based on its proximity to the winning neuron.

  Specified by:
    `function` in interface `NeighborhoodFunction`
  Parameters:
    `currentNeuron` - THe current neuron being evaluated.
    `bestNeuron` - The winning neuron.
  Returns:
    The ratio for this neuron's adjustment.

### getRadius

    public double getRadius()

  The radius for this neighborhood function is always 1.

  Specified by:
    `getRadius` in interface `NeighborhoodFunction`
  Returns:
    The radius.

### setRadius

    public void setRadius(double radius)

  Set the radius. This type does not use a radius, so this has no effect.

  Specified by:
    `setRadius` in interface `NeighborhoodFunction`
  Parameters:
    `radius` - The radius.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.